/*
 * FlyingNum.h
 *
 *  Created on: Dec 8, 2013
 *      Author: brian
 */

#ifndef FLYINGNUM_H_
#define FLYINGNUM_H_

#include "GameObject.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class FlyingNum : public GameObject
{
public:
	FlyingNum(int);


  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();
  void activate(int level);

private:
  int m_digit;
  int scale;
  bool alive;

  Uint32 numLastTime, numCurrentTime, numDelayTime;

  static int const flying_number_layouts[][7] ;

  //int foo[5] = {0,1,2,3,4};

};



#endif /* FLYINGNUM_H_ */
